=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-09-14 01:27:06 +0000
+++ drizzled/slave.cc	2008-09-15 00:45:28 +0000
@@ -1906,9 +1906,6 @@
 {
   mi->slave_running= DRIZZLE_SLAVE_RUN_NOT_CONNECT;
   thd->set_proc_info(_(messages[SLAVE_RECON_MSG_WAIT]));
-#ifdef SIGNAL_WITH_VIO_CLOSE
-  thd->clear_active_vio();
-#endif
   end_server(drizzle);
   if ((*retry_count)++)
   {
@@ -2195,9 +2192,6 @@
       can be called in the middle of closing the VIO associated with
       the 'mysql' object, causing a crash.
     */
-#ifdef SIGNAL_WITH_VIO_CLOSE
-    thd->clear_active_vio();
-#endif
     drizzle_close(drizzle);
     mi->drizzle=0;
   }
@@ -3214,9 +3208,6 @@
       general_log_print(thd, COM_CONNECT_OUT, "%s@%s:%d",
                         mi->user, mi->host, mi->port);
     }
-#ifdef SIGNAL_WITH_VIO_CLOSE
-    thd->set_active_vio(drizzle->net.vio);
-#endif
   }
   drizzle->reconnect= 1;
   return(slave_was_killed);

=== modified file 'drizzled/sql_class.cc'
--- drizzled/sql_class.cc	2008-09-14 23:45:08 +0000
+++ drizzled/sql_class.cc	2008-09-15 00:45:28 +0000
@@ -28,7 +28,6 @@
 #include <mysys/thr_alarm.h>
 #include <mysys/mysys_err.h>
 #include <drizzled/drizzled_error_messages.h>
-#include <vio/violite.h>
 
 /*
   The following is used to initialise Table_ident with a internal
@@ -474,9 +473,6 @@
   peer_port= 0;					// For SHOW PROCESSLIST
   transaction.m_pending_rows_event= 0;
   transaction.on= 1;
-#ifdef SIGNAL_WITH_VIO_CLOSE
-  active_vio = 0;
-#endif
   pthread_mutex_init(&LOCK_delete, MY_MUTEX_INIT_FAST);
 
   /* Variables with default values */
@@ -793,22 +789,6 @@
     thr_alarm_kill(thread_id);
     if (!slave_thread)
       thread_scheduler.post_kill_notification(this);
-#ifdef SIGNAL_WITH_VIO_CLOSE
-    if (this != current_thd)
-    {
-      /*
-        In addition to a signal, let's close the socket of the thread that
-        is being killed. This is to make sure it does not block if the
-        signal is lost. This needs to be done only on platforms where
-        signals are not a reliable interruption mechanism.
-
-        If we're killing ourselves, we know that we're not blocked, so this
-        hack is not used.
-      */
-
-      close_active_vio();
-    }
-#endif    
   }
   if (mysys_var)
   {
@@ -1159,19 +1139,6 @@
                               Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF));
 }
 
-#ifdef SIGNAL_WITH_VIO_CLOSE
-void THD::close_active_vio()
-{
-  safe_mutex_assert_owner(&LOCK_delete); 
-  if (active_vio)
-  {
-    vio_close(active_vio);
-    active_vio = 0;
-  }
-  return;
-}
-#endif
-
 
 struct Item_change_record: public ilink
 {
@@ -1234,26 +1201,6 @@
 }
 
 
-/**
-  Check that the endpoint is still available.
-*/
-
-bool THD::vio_is_connected()
-{
-  uint bytes= 0;
-
-  /* End of input is signaled by poll if the socket is aborted. */
-  if (vio_poll_read(net.vio, 0))
-    return true;
-
-  /* Socket is aborted if signaled but no data is available. */
-  if (vio_peek_read(net.vio, &bytes))
-    return true;
-
-  return bytes ? true : false;
-}
-
-
 /*****************************************************************************
 ** Functions to provide a interface to select results
 *****************************************************************************/

=== modified file 'drizzled/sql_class.h'
--- drizzled/sql_class.h	2008-08-25 19:04:45 +0000
+++ drizzled/sql_class.h	2008-09-15 00:45:28 +0000
@@ -1190,9 +1190,6 @@
   } transaction;
   Field      *dup_field;
   sigset_t signals;
-#ifdef SIGNAL_WITH_VIO_CLOSE
-  Vio* active_vio;
-#endif
   /*
     This is to track items changed during execution of a prepared
     statement/stored procedure. It's created by
@@ -1559,21 +1556,6 @@
   void cleanup(void);
   void cleanup_after_query();
   bool store_globals();
-#ifdef SIGNAL_WITH_VIO_CLOSE
-  inline void set_active_vio(Vio* vio)
-  {
-    pthread_mutex_lock(&LOCK_delete);
-    active_vio = vio;
-    pthread_mutex_unlock(&LOCK_delete);
-  }
-  inline void clear_active_vio()
-  {
-    pthread_mutex_lock(&LOCK_delete);
-    active_vio = 0;
-    pthread_mutex_unlock(&LOCK_delete);
-  }
-  void close_active_vio();
-#endif
   void awake(THD::killed_state state_to_set);
 
 #ifndef DRIZZLE_CLIENT
@@ -1697,8 +1679,7 @@
     return;
   }
   inline bool vio_ok() const { return net.vio != 0; }
-  /** Return false if connection to client is broken. */
-  bool vio_is_connected();
+
   /**
     Mark the current error as fatal. Warning: this does not
     set any error, it sets a property of the error, so must be

=== modified file 'drizzled/sql_connect.cc'
--- drizzled/sql_connect.cc	2008-09-15 00:32:21 +0000
+++ drizzled/sql_connect.cc	2008-09-15 00:45:28 +0000
@@ -236,10 +236,6 @@
   uint32_t pkt_len= 0;
   char *end;
 
-#ifdef SIGNAL_WITH_VIO_CLOSE
-  thd->set_active_vio(net->vio);
-#endif
-
   // TCP/IP connection
   {
     char ip[NI_MAXHOST];

